package com.zm.order.tool.server.model;

import java.math.BigDecimal;
import java.util.Date;


/**
 * 宝珠订单信息
 *
 * @author zhuxiaofeng
 */
public class Momo {

	/**
	 * 主键
	 */
	private Long id;
	private Long userId;
	private String orderNo;
	private String storeName;
	private Long thridStoreId;
	private Long storeId;
	private Date createdAt;
	private BigDecimal actualAmount;
	private Integer isRefund;
	private String itemName;
	private BigDecimal costPrice;
	private BigDecimal itemPrice;
	private BigDecimal num;
	private BigDecimal totalItemActualAmount;
	private BigDecimal payAmount;
	private String orderTypeTxt;
	private String typeTxt;
	private String payTypeRemark;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public String getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	public String getStoreName() {
		return storeName;
	}

	public void setStoreName(String storeName) {
		this.storeName = storeName;
	}

	public Long getThridStoreId() {
		return thridStoreId;
	}

	public void setThridStoreId(Long thridStoreId) {
		this.thridStoreId = thridStoreId;
	}

	public Long getStoreId() {
		return storeId;
	}

	public void setStoreId(Long storeId) {
		this.storeId = storeId;
	}

	public Date getCreatedAt() {
		return createdAt;
	}

	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}

	public BigDecimal getActualAmount() {
		return actualAmount;
	}

	public void setActualAmount(BigDecimal actualAmount) {
		this.actualAmount = actualAmount;
	}

	public Integer getIsRefund() {
		return isRefund;
	}

	public void setIsRefund(Integer isRefund) {
		this.isRefund = isRefund;
	}

	public String getItemName() {
		return itemName;
	}

	public void setItemName(String itemName) {
		this.itemName = itemName;
	}

	public BigDecimal getCostPrice() {
		return costPrice;
	}

	public void setCostPrice(BigDecimal costPrice) {
		this.costPrice = costPrice;
	}

	public BigDecimal getItemPrice() {
		return itemPrice;
	}

	public void setItemPrice(BigDecimal itemPrice) {
		this.itemPrice = itemPrice;
	}

	public BigDecimal getNum() {
		return num;
	}

	public void setNum(BigDecimal num) {
		this.num = num;
	}

	public BigDecimal getTotalItemActualAmount() {
		return totalItemActualAmount;
	}

	public void setTotalItemActualAmount(BigDecimal totalItemActualAmount) {
		this.totalItemActualAmount = totalItemActualAmount;
	}

	public BigDecimal getPayAmount() {
		return payAmount;
	}

	public void setPayAmount(BigDecimal payAmount) {
		this.payAmount = payAmount;
	}

	public String getOrderTypeTxt() {
		return orderTypeTxt;
	}

	public void setOrderTypeTxt(String orderTypeTxt) {
		this.orderTypeTxt = orderTypeTxt;
	}

	public String getTypeTxt() {
		return typeTxt;
	}

	public void setTypeTxt(String typeTxt) {
		this.typeTxt = typeTxt;
	}

	public String getPayTypeRemark() {
		return payTypeRemark;
	}

	public void setPayTypeRemark(String payTypeRemark) {
		this.payTypeRemark = payTypeRemark;
	}
}